<?xml version="1.0" encoding="UTF-8"?>
<out:stylesheet exclude-result-prefixes="fm" version="1.0" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:out="http://www.w3.org/1999/XSL/Transform">
<!--Some information has been retained from the existing file!-->
	<out:import href="demo_skin.xsl" />
	<out:output encoding="UTF-8" indent="yes" method="xml" />
	<out:template name="section_title">MainForm</out:template>
	<out:template name="page_meta_tags">
<!--Insert any required page specific meta tags in here-->
	</out:template>
	<out:template name="css_imports">
		<link href="css/demo.css" rel="stylesheet" type="text/css" xmlns="" />
		<link href="js/dwpe/charting/css/visualize.css" rel="stylesheet" type="text/css" xmlns="" />
		<link href="js/dwpe/charting/css/visualize-light.css" rel="stylesheet" type="text/css" xmlns="" />
	</out:template>
	<out:template name="page_scripts">
		<script src="js/jquery.min.js" type="text/javascript" xmlns=""></script>
		<script src="js/dwpe/charting/js/excanvas.js" type="text/javascript" xmlns=""></script>
		<script src="js/dwpe/charting/js/visualize.jQuery.js" type="text/javascript" xmlns=""></script>
		<script src="js/dwpe/charting/js/prepare-chart.js" type="text/javascript" xmlns=""></script>
	</out:template>
	<out:template name="section_body">
<xform:xform xmlns:xform="http://www.w3.org/2001/08/xforms" xmlns="" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:mvc="http://www.hyfinity.com/mvc" >		<xform:instance id="update_existing_form_xga_save_new_form" xmlns:xform="http://www.w3.org/2001/08/xforms">
			<eForm xmlns="http://www.hyfinity.com/mvc" xmlns:mvc="http://www.hyfinity.com/mvc">
				<Control>
					<Page />
					<Controller />
				</Control>
				<Data>
					<formData />
				</Data>
			</eForm>
		</xform:instance>
		<div class="form" xmlns="">
			<form action="process.do" method="post" name="MainForm">
				<out:if test="/mvc:eForm/mvc:Control/mvc:Language != ''">
					<input name="Language" type="hidden" value="{/mvc:eForm/mvc:Control/mvc:Language}" />
				</out:if>
				<input name="is_script_enabled" type="hidden" value="false" />
				<script type="text/javascript">
					<out:text>document.MainForm</out:text>
					<out:text>.is_script_enabled.value = 'true';</out:text>
				</script>
				<div class="chartGroup vertical" id="ChartGroup">
					<div class="groupLabelBackground" id="table_content_label_container">
						<h2 class="label" id="table_content_label">Employee Sales by Department</h2>
					</div>
					<table border="0" cellpadding="0" cellspacing="0" class="repeat" id="ChartDataTable" summary="">
						<thead>
							<tr id="table_content_headings">
								<th class="labelBackground" id="employee_label_container" scope="col">
									<span class="label" id="employee_label">Employee</span>
								</th>
								<th class="labelBackground" id="food_label_container" scope="col">
									<span class="label" id="food_label">Food</span>
								</th>
								<th class="labelBackground" id="auto_label_container" scope="col">
									<span class="label" id="auto_label">Auto</span>
								</th>
								<th class="labelBackground" id="household_label_container" scope="col">
									<span class="label" id="household_label">Household</span>
								</th>
								<th class="labelBackground" id="furniture_label_container" scope="col">
									<span class="label" id="furniture_label">Furniture</span>
								</th>
								<th class="labelBackground" id="kitchen_label_container" scope="col">
									<span class="label" id="kitchen_label">Kitchen</span>
								</th>
								<th class="labelBackground" id="bath_label_container" scope="col">
									<span class="label" id="bath_label">Bathroom</span>
								</th>
							</tr>
						</thead>
						<tbody id="ChartDataTable_body">
							<out:for-each select="/mvc:eForm/mvc:Data/mvc:EmployeeData">
								<out:variable name="ChartDataTableLoopEntry" select="." />
								<out:variable name="ChartDataTableLoopCount">
									<out:text>ChartDataTable</out:text>
									<out:value-of select="position()" />
								</out:variable>
								<out:variable name="ChartDataTable-repeat-position-number">
									<out:value-of select="position()" />
								</out:variable>
								<tr class="table" id="{$ChartDataTableLoopCount}table_content">
									<td class="defaultBackground" id="{$ChartDataTableLoopCount}employee_container">
										<span class="output" id="{$ChartDataTableLoopCount}employee">
											<out:choose>
												<out:when test="not(mvc:employee) or (mvc:employee = '')">
													<out:text disable-output-escaping="yes">&amp;#160;</out:text>
												</out:when>
												<out:otherwise>
													<out:value-of select="mvc:employee" />
												</out:otherwise>
											</out:choose>
										</span>
									</td>
									<td class="defaultBackground" id="{$ChartDataTableLoopCount}food_container">
										<span class="output" id="{$ChartDataTableLoopCount}food">
											<out:choose>
												<out:when test="not(mvc:food) or (mvc:food = '')">
													<out:text disable-output-escaping="yes">&amp;#160;</out:text>
												</out:when>
												<out:otherwise>
													<out:value-of select="mvc:food" />
												</out:otherwise>
											</out:choose>
										</span>
									</td>
									<td class="defaultBackground" id="{$ChartDataTableLoopCount}auto_container">
										<span class="output" id="{$ChartDataTableLoopCount}auto">
											<out:choose>
												<out:when test="not(mvc:auto) or (mvc:auto = '')">
													<out:text disable-output-escaping="yes">&amp;#160;</out:text>
												</out:when>
												<out:otherwise>
													<out:value-of select="mvc:auto" />
												</out:otherwise>
											</out:choose>
										</span>
									</td>
									<td class="defaultBackground" id="{$ChartDataTableLoopCount}household_container">
										<span class="output" id="{$ChartDataTableLoopCount}household">
											<out:choose>
												<out:when test="not(mvc:household) or (mvc:household = '')">
													<out:text disable-output-escaping="yes">&amp;#160;</out:text>
												</out:when>
												<out:otherwise>
													<out:value-of select="mvc:household" />
												</out:otherwise>
											</out:choose>
										</span>
									</td>
									<td class="defaultBackground" id="{$ChartDataTableLoopCount}furniture_container">
										<span class="output" id="{$ChartDataTableLoopCount}furniture">
											<out:choose>
												<out:when test="not(mvc:furniture) or (mvc:furniture = '')">
													<out:text disable-output-escaping="yes">&amp;#160;</out:text>
												</out:when>
												<out:otherwise>
													<out:value-of select="mvc:furniture" />
												</out:otherwise>
											</out:choose>
										</span>
									</td>
									<td class="defaultBackground" id="{$ChartDataTableLoopCount}kitchen_container">
										<span class="output" id="{$ChartDataTableLoopCount}kitchen">
											<out:choose>
												<out:when test="not(mvc:kitchen) or (mvc:kitchen = '')">
													<out:text disable-output-escaping="yes">&amp;#160;</out:text>
												</out:when>
												<out:otherwise>
													<out:value-of select="mvc:kitchen" />
												</out:otherwise>
											</out:choose>
										</span>
									</td>
									<td class="defaultBackground" id="{$ChartDataTableLoopCount}bath_container">
										<span class="output" id="{$ChartDataTableLoopCount}bath">
											<out:choose>
												<out:when test="not(mvc:bath) or (mvc:bath = '')">
													<out:text disable-output-escaping="yes">&amp;#160;</out:text>
												</out:when>
												<out:otherwise>
													<out:value-of select="mvc:bath" />
												</out:otherwise>
											</out:choose>
										</span>
									</td>
								</tr>
							</out:for-each>
							<out:if test="not(/mvc:eForm/mvc:Data/mvc:EmployeeData)">
								<tr>
									<td class="noRepeatData" colspan="7" id="ChartDataTable_empty">No Data Found</td>
								</tr>
							</out:if>
						</tbody>
					</table>
					<div style="height: 10px; width: 20px;"></div>
					<div class="vertical" id="Pie_Chart_example">
						<script>
/*
 * This initialises the chart by rendering the data in the table.
 * You can adjust the display of the chart by altering the parameters below.
 * If you require multiple charts on a page, then you will need to update the ids accordingly.
 *
 * Params:
 *  1) The id of the table (repeat in FormMaker) that contains the data to chart
 *  2) The id of the group in which the chart should be displayed
 *  3) The set of options that configure the display of the chart.  Important ones are:
 *      'type' : The type of chart to display, accepts 'bar', 'area', 'pie', 'line'.
 *      'parseDirection' : Direction to parse the table data. Accepts 'x' and 'y'. Default: 'x'.
 *      'height' : Sets the height of the chart.
 *      'width' : Sets the width of the chart.
 *      'appendKey' : Boolean indicating whether to add the color key to the chart. Default: true.
 */
hyf.chart.renderChart(hyf.chart.getLastTableOutput().getAttribute('id'), 'ChartDisplayGroup_1', {type: 'pie', height: '400px', width: '400px', parseDirection: 'x', appendKey: true});
</script>
						<div class="vertical" id="ChartDisplayGroup_1"></div>
					</div>
					<div style="height: 10px; width: 20px;"></div>
					<div class="vertical" id="Line_Graph_example">
						<script>
/*
 * This initialises the chart by rendering the data in the table.
 * You can adjust the display of the chart by altering the parameters below.
 * If you require multiple charts on a page, then you will need to update the ids accordingly.
 *
 * Params:
 *  1) The id of the table (repeat in FormMaker) that contains the data to chart
 *  2) The id of the group in which the chart should be displayed
 *  3) The set of options that configure the display of the chart.  Important ones are:
 *      'type' : The type of chart to display, accepts 'bar', 'area', 'pie', 'line'.
 *      'parseDirection' : Direction to parse the table data. Accepts 'x' and 'y'. Default: 'x'.
 *      'height' : Sets the height of the chart.
 *      'width' : Sets the width of the chart.
 *      'appendKey' : Boolean indicating whether to add the color key to the chart. Default: true.
 */
hyf.chart.renderChart(hyf.chart.getLastTableOutput().getAttribute('id'), 'ChartDisplayGroup_2', 
{type: 'line', height: '400px', width: '400px', parseDirection: 'x', appendKey: true, topValue: 200, bottomValue : 0});
</script>
						<div class="vertical" id="ChartDisplayGroup_2"></div>
					</div>
					<div style="height: 10px; width: 20px;"></div>
					<div class="vertical" id="Bar_Chart_Example">
						<script>
/*
 * This initialises the chart by rendering the data in the table.
 * You can adjust the display of the chart by altering the parameters below.
 * If you require multiple charts on a page, then you will need to update the ids accordingly.
 *
 * Params:
 *  1) The id of the table (repeat in FormMaker) that contains the data to chart
 *  2) The id of the group in which the chart should be displayed
 *  3) The set of options that configure the display of the chart.  Important ones are:
 *      'type' : The type of chart to display, accepts 'bar', 'area', 'pie', 'line'.
 *      'parseDirection' : Direction to parse the table data. Accepts 'x' and 'y'. Default: 'x'.
 *      'height' : Sets the height of the chart.
 *      'width' : Sets the width of the chart.
 *      'appendKey' : Boolean indicating whether to add the color key to the chart. Default: true.
 */
hyf.chart.renderChart(hyf.chart.getLastTableOutput().getAttribute('id'), 'ChartDisplayGroup_3', {type: 'bar', height: '400px', width: '400px', parseDirection: 'x', appendKey: true});
</script>
						<div class="vertical" id="ChartDisplayGroup_3"></div>
					</div>
					<div style="height: 10px; width: 20px;"></div>
					<div class="vertical" id="Area_Chart_example">
						<script>
/*
 * This initialises the chart by rendering the data in the table.
 * You can adjust the display of the chart by altering the parameters below.
 * If you require multiple charts on a page, then you will need to update the ids accordingly.
 *
 * Params:
 *  1) The id of the table (repeat in FormMaker) that contains the data to chart
 *  2) The id of the group in which the chart should be displayed
 *  3) The set of options that configure the display of the chart.  Important ones are:
 *      'type' : The type of chart to display, accepts 'bar', 'area', 'pie', 'line'.
 *      'parseDirection' : Direction to parse the table data. Accepts 'x' and 'y'. Default: 'x'.
 *      'height' : Sets the height of the chart.
 *      'width' : Sets the width of the chart.
 *      'appendKey' : Boolean indicating whether to add the color key to the chart. Default: true.
 */
hyf.chart.renderChart(hyf.chart.getLastTableOutput().getAttribute('id'), 'ChartDisplayGroup_4', {type: 'area', height: '400px', width: '400px', parseDirection: 'x', appendKey: true});
</script>
						<div class="vertical" id="ChartDisplayGroup_4"></div>
					</div>
				</div>
			</form>
		</div>
</xform:xform>		<script type="text/javascript" xmlns="">
			<out:text disable-output-escaping="yes">

            /*
             * Do NOT edit or add to the following script.
             * It will be recreated each time the page is regenerated!
             * Instead use the Application Map screen to add an external
             * script file to your page, and place your code in there.
             */

            hyf.validation.config =
            {
                form: document.MainForm,
                errorDisplayMethod: 'tooltip',
                errorDisplayMessageClass: 'errorIcon',
                errorDisplayShowMessage: true,
                errorDisplayShowAlerts: false,
                errorDisplayValidationMode: 'all'
            }
        			</out:text>
<xsl:for-each select="." xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:mvc="http://www.hyfinity.com/mvc"><xsl:text disable-output-escaping="yes" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"></xsl:text>			<out:for-each select="/mvc:eForm/mvc:Data/mvc:EmployeeData">
				<out:variable name="ChartDataTableLoopEntry" select="." />
				<out:variable name="ChartDataTableLoopCount">
					<out:text>ChartDataTable</out:text>
					<out:value-of select="position()" />
				</out:variable>
			</out:for-each>
</xsl:for-each>		</script>
	</out:template>
</out:stylesheet>
