<?xml version="1.0" encoding="UTF-8"?>
<out:stylesheet exclude-result-prefixes="fm" version="1.0" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:out="http://www.w3.org/1999/XSL/Transform">
<!--Some information has been retained from the existing file!-->
	<out:import href="demo_skin.xsl" />
	<out:output encoding="UTF-8" indent="yes" method="xml" />
	<out:template name="section_title">MainForm</out:template>
	<out:template name="page_meta_tags">
<!--Insert any required page specific meta tags in here-->
	</out:template>
	<out:template name="css_imports">
		<link href="css/demo.css" rel="stylesheet" type="text/css" xmlns="" />
	</out:template>
	<out:template name="page_scripts" />
	<out:template name="section_body">
		<xform:xform xmlns="" xmlns:mvc="http://www.hyfinity.com/mvc" xmlns:xform="http://www.w3.org/2001/08/xforms">
			<xform:instance id="update_existing_form_xga_save_new_form">
				<eForm xmlns="http://www.hyfinity.com/mvc">
					<Control>
						<Page />
						<Controller />
					</Control>
					<Data />
				</eForm>
			</xform:instance>
			<div class="form">
				<form action="process.do" method="post" name="MainForm">
					<out:if test="/mvc:eForm/mvc:Control/mvc:Language != ''">
						<input name="Language" type="hidden" value="{/mvc:eForm/mvc:Control/mvc:Language}" />
					</out:if>
					<input name="is_script_enabled" type="hidden" value="false" />
					<script type="text/javascript">
						<out:text>document.MainForm</out:text>
						<out:text>.is_script_enabled.value = 'true';</out:text>
					</script>
					<div class="borderedGroup vertical" id="group_bordered">
						<div class="groupLabelBackground" id="group_bordered_label_container">
							<h2 class="label" id="group_bordered_label">Bordered Group</h2>
						</div>
						<div class="vertical" id="main_content"></div>
					</div>
					<div style="height: 10px; width: 20px;"></div>
					<div class="horizontal" id="submit_buttons">
						<span class="formElement">
							<span class="defaultBackground" id="save_button_container">
								<input id="save_button_submit_button" name="xgate_action_save_new_form" type="submit" value="Save ..." />
								<span id="save_button_temp_container" style="display:none; visibility:hidden;">
									<a class="button" href="javascript: save_buttonhref(null);" id="save_button" name="save_button">
										<span>
											<span>Save ...</span>
										</span>
									</a>
								</span>
								<script type="text/javascript">
									<out:text disable-output-escaping="yes">document.getElementById('</out:text>
									<out:text disable-output-escaping="yes">save_button_submit_button').parentNode.innerHTML=document.getElementById('</out:text>
									<out:text disable-output-escaping="yes">save_button_temp_container').innerHTML;</out:text>
								</script>
							</span>
						</span>
						<out:if test="not(not(/mvc:eForm/mvc:Data/mvc:identifer[.='']))">
							<span class="formElement">
								<span class="defaultBackground" id="update_button_container">
									<input id="update_button_submit_button" name="xgate_action_update_existing_form" type="submit" value="Update ..." />
									<span id="update_button_temp_container" style="display:none; visibility:hidden;">
										<a class="button" href="javascript: update_buttonhref(null);" id="update_button" name="update_button">
											<span>
												<span>Update ...</span>
											</span>
										</a>
									</span>
									<script type="text/javascript">
										<out:text disable-output-escaping="yes">document.getElementById('</out:text>
										<out:text disable-output-escaping="yes">update_button_submit_button').parentNode.innerHTML=document.getElementById('</out:text>
										<out:text disable-output-escaping="yes">update_button_temp_container').innerHTML;</out:text>
									</script>
								</span>
							</span>
						</out:if>
					</div>
				</form>
			</div>
		</xform:xform>
		<script type="text/javascript" xmlns="">
			<out:text disable-output-escaping="yes">

            /*
             * Do NOT edit or add to the following script.
             * It will be recreated each time the page is regenerated!
             * Instead use the Application Map screen to add an external
             * script file to your page, and place your code in there.
             */

            hyf.validation.config =
            {
                form: document.MainForm,
                errorDisplayMethod: 'tooltip',
                errorDisplayMessageClass: 'errorIcon',
                errorDisplayShowMessage: true,
                errorDisplayShowAlerts: false,
                errorDisplayValidationMode: 'all'
            }
        			</out:text>
			<xsl:for-each select="." xmlns:mvc="http://www.hyfinity.com/mvc" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
				<xsl:text disable-output-escaping="yes">
            function save_buttonhref(e)
            {
                var objEventSource = {name: 'EventSource', option: 'field', value: 'save_button', field: document.getElementById('save_button')};

                return dojo.hitch(objEventSource.field, function(){
                        var objAction = {name: 'Action', option: 'Action', value: 'save_new_form'};
                        var objValidate = {name: 'Validate', option: 'Static', value: 'true'};
                        hyf.FMAction.handleFormSubmission(objAction, objValidate, objEventSource);
                    })();
            }
            
            function update_buttonhref(e)
            {
                var objEventSource = {name: 'EventSource', option: 'field', value: 'update_button', field: document.getElementById('update_button')};

                return dojo.hitch(objEventSource.field, function(){
                        var objAction = {name: 'Action', option: 'Action', value: 'update_existing_form'};
                        var objValidate = {name: 'Validate', option: 'Static', value: 'true'};
                        hyf.FMAction.handleFormSubmission(objAction, objValidate, objEventSource);
                    })();
            }
            </xsl:text>
				<out:if test="not(not(/mvc:eForm/mvc:Data/mvc:identifer[.='']))" />
			</xsl:for-each>
		</script>
	</out:template>
</out:stylesheet>
